Get Plan Virtual Machine Summarized Recovery Settings

Get Plan Virtual Machine Summarized Recovery Settings

Get a summary of the recovery settings for a protected virtual machine.

Request
URI
GET
https://{api_host}/pairings/{pairing_id}/recovery-management/plans/{plan_id}/vms/{vm_id}/recovery-settings/summary
COPY
Path Parameters
string
pairing_id
Required

The ID of a pairing between this Site Recovery Manager server and remote one

string
plan_id
Required

The ID of a recovery plan defined within current pairing

string
vm_id
Required

The ID of a virtual machine


Authentication
This operation uses the following authentication methods.
Responses
200

A summary about recovery settings of a protected virtual machine.

Returns VmSummarizedRecoverySettingsDrResponseEntity of type(s) application/json
{
    "priority": "string",
    "startup_action": "string",
    "dependent_vms": [
        {
            "id": "string",
            "name": "string",
            "template": false,
            "inside_vapp": false,
            "status": "string",
            "priority_group": "string",
            "protection_group_name": "string"
        }
    ],
    "pre_power_on_steps": "string",
    "post_power_on_steps": "string",
    "allow_migration": false,
    "_meta": {
        "errors": [
            {
                "code": "string",
                "message": "string",
                "field": "string"
            }
        ]
    }
}

400

Bad request - the server cannot understand the request due to invalid syntax or invalid request body content

Returns ResponseError of type(s) application/json
"ResponseError Object"
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


401

Unauthorized - the client must authenticate itself to get the requested response

Operation doesn't return any data structure

403

Forbidden - not sufficient access rights to fulfill the request

Returns ResponseError of type(s) application/json
"ResponseError Object"
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


404

Not Found - server cannot find the requested in URL resource

Operation doesn't return any data structure

500

Internal server error - unexpected condition prevents fulfilling the request

Returns ResponseError of type(s) application/json
"ResponseError Object"
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/pairings/{pairing_id}/recovery-management/plans/{plan_id}/vms/{vm_id}/recovery-settings/summary